## gimpplugin gimpplugin |

## Functions

gboolean | gimp_plugin_domain_register ()
gboolean | gimp_plugin_help_register ()
gboolean | gimp_plugin_icon_register ()
gboolean | gimp_plugin_menu_register ()
gboolean | gimp_plugin_menu_branch_register ()
gboolean | gimp_plugin_set_pdb_error_handler ()
GimpPDBErrorHandler | gimp_plugin_get_pdb_error_handler ()

## Description

## Functions

### gimp_plugin_domain_register ()

    gboolean
    gimp_plugin_domain_register (const gchar *domain_name,
                                 const gchar *domain_path);

### gimp_plugin_help_register ()

    gboolean
    gimp_plugin_help_register (const gchar *domain_name,
                               const gchar *domain_uri);

### gimp_plugin_icon_register ()

    gboolean
    gimp_plugin_icon_register (const gchar *procedure_name,
                               GimpIconType icon_type,
                               const guint8 *icon_data);

### gimp_plugin_menu_register ()

    gboolean
    gimp_plugin_menu_register (const gchar *procedure_name,
                               const gchar *menu_path);

Since: GIMP 2.2

### gimp_plugin_menu_branch_register ()

    gboolean
    gimp_plugin_menu_branch_register (const gchar *menu_path,
                                      const gchar *menu_name);

Since: GIMP 2.4

### gimp_plugin_set_pdb_error_handler ()

    gboolean
    gimp_plugin_set_pdb_error_handler (GimpPDBErrorHandler handler);

Since: GIMP 2.6

### gimp_plugin_get_pdb_error_handler ()

    GimpPDBErrorHandler
    gimp_plugin_get_pdb_error_handler (void);

Since: GIMP 2.6

## Types and Values